Skip to main content
POST
/
general-leads-communications
/
{communicationId}
/
post-acceptance-status-update
Update post-acceptance status
curl --request POST \
  --url https://www.renovationfind.com/rest-manager-api-v1/general-leads-communications/{communicationId}/post-acceptance-status-update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "<string>",
  "meetingScheduledDate": "2023-12-25",
  "jobAmount": 123,
  "estimatedProjectStartDate": "2023-12-25",
  "estimatedCompletionDate": "2023-12-25",
  "startDateTbd": true,
  "completionDateTbd": true
}
'
import requests

url = "https://www.renovationfind.com/rest-manager-api-v1/general-leads-communications/{communicationId}/post-acceptance-status-update"

payload = {
"reason": "<string>",
"meetingScheduledDate": "2023-12-25",
"jobAmount": 123,
"estimatedProjectStartDate": "2023-12-25",
"estimatedCompletionDate": "2023-12-25",
"startDateTbd": True,
"completionDateTbd": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reason: '<string>',
meetingScheduledDate: '2023-12-25',
jobAmount: 123,
estimatedProjectStartDate: '2023-12-25',
estimatedCompletionDate: '2023-12-25',
startDateTbd: true,
completionDateTbd: true
})
};

fetch('https://www.renovationfind.com/rest-manager-api-v1/general-leads-communications/{communicationId}/post-acceptance-status-update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": true,
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

JWT token issued from the RenovationFind Manager Portal

Path Parameters

communicationId
integer<int64>
required

Body

application/json
status
enum<string>
Available options:
NO_RESPONSE,
HOMEOWNER_CONTACTED,
MEETUP_SCHEDULED,
QUOTE_SENT,
JOB_PENDING_DECISION,
JOB_WON,
JOB_LOST,
JOB_POSTPONED_OR_CANCELLED,
NO_RESPONSE_FROM_HOMEOWNER,
OTHER,
REACHED_OUT_TO_HOMEOWNER,
MULTIPLE_ATTEMPTS_NO_RESPONSE,
CONTACT_MADE,
ESTIMATE_PROVIDED,
LEAD_WON,
LEAD_LOST
reason
string

Notes/reason text

Maximum string length: 500
meetingScheduledDate
string<date>
jobAmount
number<double>
contactMethod
enum<string>
Available options:
PHONE_CALL,
TEXT,
EMAIL,
IN_PERSON_MEETING
estimateType
enum<string>
Available options:
IN_PERSON_ESTIMATE,
EMAILED_ESTIMATE,
VERBAL_ESTIMATE,
PORTAL_ATTACHMENT_ESTIMATE,
OTHER
lostReason
enum<string>
Available options:
PRICE,
TIMING,
OTHER
estimatedProjectStartDate
string<date>
estimatedCompletionDate
string<date>
startDateTbd
boolean
completionDateTbd
boolean

Response

200 - application/json

Status updated

success
boolean
data
boolean
message
string